Kubernetes
Scale or update node pool
patch
/kubernetes/{cluster_uuid}/node-pools/{pool_uuid}Change the number of workers, labels, or taints for a node pool.
Authorization
Authorization
Authorization*string
Bearer YOUR_API_TOKEN with an API token. The X-API-Key: YOUR_API_TOKEN header works too.
Path parameters
cluster_uuid*string
pool_uuid*string
Request body
application/jsonRequired
name?string | null
Range
1 ≤ length ≤ 100Rangepattern ^[a-z0-9]([a-z0-9-]*[a-z0-9])?$desired_nodes?integer | null
Range
1 ≤ value ≤ 100min_nodes?integer | null
Range
1 ≤ value ≤ 100max_nodes?integer | null
Range
1 ≤ value ≤ 100auto_scale?boolean | null
labels?record<string, string> | null
taints?array<TaintSpec> | null
Properties (3)
key*string
Range
1 ≤ length ≤ 253value*string
Range
length ≤ 63effect*string
Value in
"NoSchedule""PreferNoSchedule""NoExecute"Responses
Successful Response
application/json
detail*string